<?php

namespace Lc\CaracoleBundle\Controller\Newsletter;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\Newsletter\NewsletterFactory;
use Lc\CaracoleBundle\Resolver\MerchantResolver;
use Lc\SovBundle\Controller\Newsletter\NewsletterAdminController as SovNewsletterAdminController;

abstract class NewsletterAdminController extends SovNewsletterAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $newsletterFactory = new NewsletterFactory();
        return $newsletterFactory
                ->setMerchant($this->get(MerchantResolver::class)->getCurrent())
                ->create();
    }
}
