<?php

namespace Lc\CaracoleBundle\Controller\Site;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\Site\NewsFactory;
use Lc\CaracoleBundle\Resolver\MerchantResolver;
use Lc\SovBundle\Controller\Site\NewsAdminController as SovNewsAdminController;

abstract class NewsAdminController extends SovNewsAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $newsFactory = new NewsFactory();
        return $newsFactory
                ->setMerchant($this->get(MerchantResolver::class)->getCurrent())
                ->create();
    }
}
