<?php

namespace Lc\CaracoleBundle\Controller\Ticket;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Resolver\MerchantResolver;
use Lc\SovBundle\Controller\Ticket\TicketAdminController as SovTicketAdminController;
use Lc\CaracoleBundle\Factory\Ticket\TicketFactory;

class TicketAdminController extends SovTicketAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $ticketFactory = new TicketFactory();
        return $ticketFactory
                ->setMerchant($this->get(MerchantResolver::class)->getCurrent())
                ->create();
    }

}
