<?php

namespace Lc\CaracoleBundle\Controller\User;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\User\GroupUserFactory;
use Lc\CaracoleBundle\Resolver\MerchantResolver;
use Lc\SovBundle\Controller\User\GroupUserAdminController as SovGroupUserAdminController;

abstract class GroupUserAdminController extends SovGroupUserAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $groupUserFactory = new GroupUserFactory();
        return $groupUserFactory
                ->setMerchant($this->get(MerchantResolver::class)->getCurrent())
                ->create();
    }
}
